<!doctype html>
<html>
<head>
    <title>Updates on Tor 0.2.0.32 for OS X Users | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Updates on Tor 0.2.0.32 for OS X Users | Tor Project">
    <meta property="og:description" content="As detailed here, http://archives.seul.org/or/talk/Dec-2008/msg00044.html, there are some...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/updates-tor-02032-os-x-users/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Updates on Tor 0.2.0.32 for OS X Users
      </h1>
    <p class="meta">by phobos | December 5, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>As detailed here, <a href="http://archives.seul.org/or/talk/Dec-2008/msg00044.html" rel="nofollow">http://archives.seul.org/or/talk/Dec-2008/msg00044.html</a>, there are some packaging fixes for OS X users in this 0.2.0.32 stable release.</p>

<blockquote><p>For OS X users, there is a packaging bugfix in 0.2.0.32 labelled as<br />
0.2.0.32a in the available packages.  It turns out for years we've been<br />
shipping a Info.plist with an incorrect key.  The issue was discovered<br />
and reported as bug 876,<br />
<a href="https://bugs.torproject.org/flyspray/index.php?id=876&amp;do=details" rel="nofollow">https://bugs.torproject.org/flyspray/index.php?id=876&amp;do=details</a>.   </p>
<p>The commit to fix the problem in the 0_2_0 branch is r17472:<br />
<a href="http://archives.seul.org/or/cvs/Dec-2008/msg00037.html" rel="nofollow">http://archives.seul.org/or/cvs/Dec-2008/msg00037.html</a></p>
<p>The commit to fix the problem in the Vidalia 0.1 branch is r3361:<br />
<a href="http://trac.vidalia-project.net/browser/vidalia/branches/vidalia-0.1/pkg/osx?order=date&amp;desc=1" rel="nofollow">http://trac.vidalia-project.net/browser/vidalia/branches/vidalia-0.1/pk…</a></p>
<p>The bug is that the OS X Installer will prompt "The chosen volume<br />
contains software which is newer then [sic] the software you are<br />
installing."</p>
<p>The problem is that the Installer looks in the file<br />
/Library/Receipts/Vidalia.pkg/Contents/Info.plist for<br />
CFBundleShortVersionString.  We mistakenly called it<br />
CFBundleSortVersionString, which Apple inserts "1" as the value.  The<br />
upgrade to Vidalia from 0.1.9 to 0.1.10 apparently triggered the issue.  </p>
<p>The fix is to put the correct value in place for the future.  The<br />
simplest way to do this is to have the users click "Continue" when<br />
prompted.  We could have spent a lot of time trying to fix it for the<br />
user to hide the issue, but well, that is fraught with problems and<br />
complexities.  A simple click of "Continue" is far simpler and less<br />
error prone.   </p>
<p>The difference between the released 0.2.0.32 Tor code is the inclusion<br />
of r17472.  It's not really 0.2.0.32a per se, but since we lack package<br />
versions, I had to distinguish it in some way. </p></blockquote>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Comments are closed.</p>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
